<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Clone Objects</title>
</head>
<body>
    <script>

    let footballPlayer = {
        name: 'Cristiano',
        lastName: 'Ronaldo',
        age: 33,
        scoring: {
            freekicks: 5,
            cornerns: 4,
            penalties: 11,
            scoringByHead: {
                leftCorner: 3,
                rightCorner:1,
            }

        }

    };

    let cloneObject = (obj) => {

        let newObj = {};

        for (let key in obj)
            typeof(obj[key]) === 'object'
                ? newObj[key] = cloneObject(obj[key])
                : newObj[key] = obj[key];

//        for (let key in obj) {
//            if (typeof(obj[key]) === 'object') {
//                newObj[key] = cloneObject(obj[key]);
//            }
//            else {
//                newObj[key] = obj[key];
//            }

        return newObj;
    }

        let footballPlayer2 = cloneObject(footballPlayer);
        footballPlayer2.name = 'Sinitschka';
        footballPlayer2.scoring.freekicks = 0;
        footballPlayer2.scoring.scoringByHead.rightCorner = 4;

        console.log(footballPlayer2);

    </script>
</body>
</html>
